summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2012-05-23 16:09:23 +0200
committerLars Wirzenius <liw@liw.fi>2012-05-23 16:09:23 +0200
commit0a590cf9913086082a5139545bd738c5a552a54a (patch)
tree2c09d22a60cbc91d605ac9c0bd731e89b8be178d
parent5d46c9d2bf5d1b37ff530f73f92e887557828a31 (diff)
downloadlarch-0a590cf9913086082a5139545bd738c5a552a54a.tar.gz
Add black box test for verifying backwards compatibility
-rw-r--r--Makefile1
-rwxr-xr-xtests/backwards-compatible.script25
-rw-r--r--tests/backwards-compatible.stdout1
3 files changed, 27 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index 5b60519..ddcd534 100644
--- a/Makefile
+++ b/Makefile
@@ -26,6 +26,7 @@ check:
rm .coverage
./insert-remove-test tempdir 100
rm -r tempdir larch.log
+ cmdtest tests
clean:
rm -f .coverage *.py[co] larch/*.py[co] insert.prof lookup.prof
diff --git a/tests/backwards-compatible.script b/tests/backwards-compatible.script
new file mode 100755
index 0000000..3d1e456
--- /dev/null
+++ b/tests/backwards-compatible.script
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Copyright 2012 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -eu
+
+
+for tarball in test-data/*.tar.gz
+do
+ ./test-backwards-compatibility verify "$tarball"
+done
+
diff --git a/tests/backwards-compatible.stdout b/tests/backwards-compatible.stdout
new file mode 100644
index 0000000..aca00fc
--- /dev/null
+++ b/tests/backwards-compatible.stdout
@@ -0,0 +1 @@
+test-data/format-nodestore1-codec1.tar.gz is OK